# Record Class JCSwapchainImageIndex

java.lang.Object
java.lang.Record
com.io7m.jcoronado.utility.swapchain.JCSwapchainImageIndex

Record Components:
  `value` - The index value

All Implemented Interfaces:
  `Comparable<JCSwapchainImageIndex>`

public record JCSwapchainImageIndex(int value) extends Record implements Comparable<JCSwapchainImageIndex>
An index of a swapchain image.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JCSwapchainImageIndex(int value)`
  Creates an instance of a `JCSwapchainImageIndex` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(JCSwapchainImageIndex other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `toString()`
  Returns a string representation of this record class.
  `int`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JCSwapchainImageIndex

    public JCSwapchainImageIndex(int value)
    Creates an instance of a `JCSwapchainImageIndex` record class.
    Parameters:
      `value` - the value for the `value` record component

- ## Method Details

  - ### compareTo

    public int compareTo(JCSwapchainImageIndex other)
    Specified by:
      `compareTo` in interface `Comparable<JCSwapchainImageIndex>`

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public int value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component